Subject: RE: [seamoby] Question on 4.2

From: James Kempf <[email-masked]>
Date: Tue, 26 Jun 2001 10:26:07 -0700 (PDT)

Phil,

I believe there is an existing draft that addresses designing an  L2
to work well with IP,  this draft would be the same for mobility.
The only reason we are working through MIP is because the need is
great. The FMIPv4 draft contains a section on L2 triggers, and
we would like to extract that and include it with some other
material (like security) about what is needed for a good L2
to support IP mobility. Naturally, Seamoby, MIP, etc. will
all get the chance to review. 

Perhaps at some point it would make sense to make it be a focus
for a working group, but it seemed to make more sense to start
small and see whether we could complete it in the context of
a working group that has a serious need for the work before
trying something larger, which, as you indicated, hasn't had
much success.

			jak

>From: Phillip Neumiller <[email-masked]>
>To: "'James Kempf'" <[email-masked]>, "[email-masked]'" 
<[email-masked]>
>Subject: RE: [seamoby] Question on 4.2
>Date: Tue, 26 Jun 2001 13:20:43 -0400
>
>That is unfortunate.  A generic L2 triggering mechanism COULD 
>be very useful to QoS WGs, MIP, MANET, and SeaMoby.   I do 
>realize the IETF is better suited to work on very narrow
>problem statements and generalizations have to be done with
>the "death-by-a-thousand cuts" method.
>
>Best regards,
>
>Phil
>
>> -----Original Message-----
>> From: James Kempf [mailto:[email-masked]]
>> Sent: Tuesday, June 26, 2001 1:01 PM
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: RE: [seamoby] Question on 4.2
>> 
>> 
>> Thanx for the pointer, but I think we are going to do this as a draft
>> rather than a working group, probably through MIP first because
>> it keeps coming up.
>> 
>> 		jak
>> 		
>> >Delivered-To: [email-masked]
>> >From: Phillip Neumiller <[email-masked]>
>> >To: "'kempf'" <[email-masked]>, [email-masked], 
>> [email-masked]
>> >Subject: RE: [seamoby] Question on 4.2
>> >Date: Tue, 26 Jun 2001 12:45:41 -0400
>> >
>> >Hi James,
>> >
>> >I have tried to start such an effort many times.  Who is this
>> >bunch of you?  Whenever I have tried in the past, people were
>> >not interested.  Also, I sent a request to Scott B.   a
>> >couple of months ago to get this started in the sub-IP area.
>> >I wrote up a draft for the WG charter.  He never got back.
>> >So, I guess I would like to know if you created a mail list or
>> >if not I welcome you to use:
>> >
>> >http://internet.motlabs.com/mailman/listinfo/wirelessinternet
>> >
>> >Thanks,
>> >
>> >Phil
>> >
>> >> -----Original Message-----
>> >> From: kempf [mailto:[email-masked]]
>> >> Sent: Saturday, June 23, 2001 12:15 PM
>> >> To: [email-masked]; [email-masked]
>> >> Subject: Re: [seamoby] Question on 4.2
>> >> 
>> >> 
>> >> Pat,
>> >> 
>> >> A bunch of us are in discussion about doing a draft on abstract L2
>> >> triggers. Currently, there is some unpublished material and the
>> >> material embedded in the FMIPv4 draft that we would like to pull
>> >> together. This should allow people to refer to a common source
>> >> on L2 triggers. We are unclear yet whether this belongs in MIP,
>> >> Seamoby, or other. It is clearly important for the MIP fast handoff
>> >> work, and also perhaps Seamoby context transfer.
>> >> 
>> >> 		jak
>> >> 		
>> >> 
>>

---

From: Youngjune Lee Gwon <[email-masked]>
Date: Tue, 26 Jun 2001 11:31:01 -0700 (PDT)

Hi,

I have looked thru the FMIPv4 draft (-01.txt) and Section 1.3 is devoted
for describing L2 trigger, required for Pre- and Post-Registration
methods. I think the section is well written and really trying to unveil
the role of L2 trigger. Actually, it is quite informational as well since
we haven't quite seen anything in this detail regarding L2 trigger.  

IMHO, though, what SeaMoby requires (in terms of handoff trigger) is the
superset that not only covers the scope of the triggering mechanism that
FMIPv4 draft requires, but also other context.

As an example, L2 trigger described in FMIPv4 draft Section 1.3 specifies
the recipient, content (IP address/IP address identifier etc.), and timing
of the arrival of this special signal. CT trigger may require more
information than these. 

Going back to discussions regarding L2/L3 trigger between Rajeev and
Kulwinder, I think SeaMoby also should consider abstract description of
this trigger business. I've always thought about pursuiting a work in
triggering mechanism, but I wasn't sure I'm digging into the legitimate
scope of work for the WG. Can anybody share some thoughts regarding this
with me?

Lastly, the trigger mechanism should be constructed in the following
steps - this is my opinion and you are welcome to disagree with me.

1. Fast movement detection/prediction
2. Handoff Candidate Discovery (e.g. obtaining nFA IP Addr ID)
3. Signaling handoff initiator (trigger is in fact a special signal)

I need your thoughts on these.

THank you,

Youngjune